select CTRL_VALUE AS IS_LMT from SWCAT.CONTROL where swcat.CONTROL.name = 'IBM_USE_ONLY'%

select * from adm.control%

select * from lic.control_values%

select count(*) from adm.agent%

select count(*) from adm.measure%

select count(*) from adm.agt_vm_rel%

select * from adm.AGGR_PENDING%

select * from custom.AGENT_V%

select * from SWCAT.CONTROL%

select * from lic.control_values%

select * from adm.event where category = 2%

select os_name as AGENT_OS, count(*) as COUNT from adm.agent group by os_name with ur%

select version as AGENT_VERSION, count(*) as COUNT from adm.agent group by version with ur%

select name as SCAN_GROUPS , count(*) as COUNT from adm.division as div left join adm.agent as agt on div.id = agt.division_id group by name with ur%

select * from adm.IBM_REPORT%

select * from sysibmadm.dbmcfg%

select ID, URL, LOGIN, STATUS, TYPE, LAST_CONNECTION, FAILURES_NO, CUSTOMER_ID, SHARE_CREDENTIALS, PARAMS, IP, IS_DELETED, MODE, LAST_MERGE_TIME from adm.VM_MANAGER%

WITH temp_vm AS
(
    SELECT
      ID
    , NODE_ID
    , ROW_NUMBER() OVER(PARTITION BY NODE_ID
    ORDER BY depth) as depth
    FROM adm.VM
)
, temp_charged(id, tag, type, isx86) AS
(
    SELECT
      distinct id
    , tag
    , platform
    , CASE WHEN platform in ( 'IA32ONWIN64', 'AMD64', 'amd64', 'x86', 'i386', 'i586', 'i686', 'x86_64', 'CLUSTER') then 1 else 0 end as isx86
    FROM adm.node_full_v
)
 , first_aggregation_day(aggr_date) AS
(
    SELECT
      DATE(value)
    FROM adm.control
    WHERE NAME = 'FIRST_TO_AGGREGATE_DAY'
)
SELECT
  DISTINCT server_id
, type
, brand
, vendor
, model
, pvu
, default_pvu
, no_processors_srv
, no_logical_processors_agt
, no_processors_agt
, hostname
, is_Cluster
, system_model
, cluster_name
, vm_type
FROM
(
    SELECT
      chre.tag AS server_id
    , CASE WHEN pt.ID <> 1 THEN pt.TYPE_DISP_VALUE ELSE CASE WHEN mo.QUALIFIER is null THEN 'One Core' ELSE ADM.FORMAT_PTYPE(qual.PTYPE) END END AS type
    , CASE WHEN pt.ID <> 1 THEN pt.BRAND_DISP_VALUE ELSE CASE WHEN mo.QUALIFIER is null THEN 'Other' ELSE qual.BRAND END END AS brand
    , CASE WHEN pt.ID <> 1 THEN pt.VENDOR_DISP_VALUE ELSE CASE WHEN mo.QUALIFIER is null THEN 'Other' ELSE qual.VENDOR END END AS vendor
    , CASE WHEN pt.ID <> 1 THEN pt.MODEL_DISP_VALUE ELSE CASE WHEN mo.QUALIFIER is null THEN 'All' ELSE qual.MODEL END END AS model
    , CASE WHEN pvu.value_units is null THEN 100 ELSE pvu.value_units END AS pvu
    , CASE WHEN pt.id = 1 THEN 1 ELSE 0 END AS default_pvu
    , CASE WHEN mUC.quantity is null THEN (CASE WHEN m.quantity is null THEN 0 ELSE m.quantity / 100 END) ELSE mUC.quantity / 100 END AS no_processors_srv
    , CASE WHEN mL.quantity is null THEN 0 ELSE mL.quantity / 100 END AS no_logical_processors_agt
    , CASE WHEN chre.isx86 = 1 THEN CASE WHEN vm_temp.id = avr.vm_id THEN CASE WHEN ml.quantity IS NULL THEN CASE WHEN mV.quantity IS NULL THEN 0 ELSE DECIMAL(DECIMAL(mV.quantity) / 100,7,2) END ELSE CASE WHEN mV.quantity IS NULL THEN DECIMAL(DECIMAL(ml.quantity) / 100,7,2) ELSE CASE WHEN ml.quantity > mV.quantity THEN DECIMAL(DECIMAL(mV.quantity) / 100,7,2) ELSE DECIMAL(DECIMAL(ml.quantity) / 100,7,2) END END END ELSE CASE WHEN ml.quantity IS NULL THEN 0 ELSE CASE WHEN lower(afv.os_name) = 'solaris' AND mv.quantity is not NULL THEN DECIMAL(DECIMAL(mv.quantity) / 100,7,2) ELSE DECIMAL(DECIMAL(ml.quantity) / 100,7,2) END END END ELSE CASE WHEN mV.quantity is null THEN ( CASE WHEN m.quantity is null THEN 0 ELSE m.quantity / 100 END) ELSE DECIMAL(DECIMAL(mV.quantity) / 100,7,2) END END AS no_processors_agt
    , afv.hostname as hostname
    , afv.id as agent_id
    , CASE WHEN chre.type = 'CLUSTER' THEN 1 else 0 END AS is_Cluster
    , mSM.qualifier AS system_model
    , cls.name as cluster_name
    , CASE WHEN vm.type = 0 THEN 'Physical Box' WHEN vm.type = 2 THEN 'LPAR, vPAR, nPAR, VM with CIT enabler' WHEN vm.type = 3 THEN 'VM, WPAR' ELSE 'N/A' END as vm_type
    FROM adm.server_coretype_rel scr
    JOIN temp_charged chre
     ON scr.NODE_ID = chre.id
    JOIN adm.vm vm
     ON vm.node_id = chre.id
    JOIN first_aggregation_day
     ON 1 = 1
    JOIN adm.AGT_VM_REL avr
     ON vm.id = avr.vm_id
    AND DATE(avr.END_TIME) >= first_aggregation_day.aggr_date
    AND DATE(avr.START_TIME) < first_aggregation_day.aggr_date
    JOIN adm.AGENT afv
     ON avr.AGENT_ID = afv.ID
    AND afv.customer_id = 1
    JOIN temp_vm vm_temp
     ON chre.id = vm_temp.node_id
    AND vm_temp.depth = 1
    LEFT JOIN adm.measure m
     ON m.TARGET_ID = vm_temp.id
    AND m.METRIC_ID = 12
    AND m.END_TIME = '9999-12-31 00:00:00.000'
    LEFT JOIN adm.measure mV
     ON mV.TARGET_ID = avr.vm_id
    AND mV.METRIC_ID = 12
    AND mV.END_TIME = '9999-12-31 00:00:00.000'
    LEFT JOIN adm.measure mL
     ON mL.TARGET_ID = avr.vm_id
    AND mL.METRIC_ID = 13
    AND mL.END_TIME = '9999-12-31 00:00:00.000'
    LEFT JOIN adm.measure mO
     ON mO.TARGET_ID = vm_temp.id
    AND mO.METRIC_ID = 9
    AND mO.END_TIME = '9999-12-31 00:00:00.000'
    LEFT JOIN adm.measure mSM
     ON mSM.TARGET_ID = vm_temp.id
    AND mSM.METRIC_ID = 15
    AND mSM.END_TIME = '9999-12-31 00:00:00.000'
    LEFT JOIN adm.measure mUC
     ON mUC.TARGET_ID = vm_temp.id
    AND mUC.METRIC_ID = 14
    AND mUC.END_TIME = '9999-12-31 00:00:00.000'
    JOIN TABLE (adm.SPLIT_QUALIFIER(mO.QUALIFIER,'')) qual
     ON 1=1
    LEFT JOIN adm.PROCESSOR_TYPE pt
     ON scr.PROCESSOR_TYPE_ID = pt.ID
    LEFT JOIN adm.VUT pvu
     ON pvu.PROCESSOR_TYPE_ID = scr.PROCESSOR_TYPE_ID
    AND pvu.END_DATE = '9999-12-31'
    LEFT JOIN adm.NODE_CLUST_REL n_c_rel
    	ON scr.node_ID = n_c_rel.NODE_ID
    	AND n_c_rel.end_time = '9999-12-31 00:00:00.0'
    LEFT join adm.CLUSTER cls
    	on  n_c_rel.CLUSTER_ID = cls.ID
)
 as processors%
 
 
select c.NAME as component,sw.NAME as product,a.hostname from adm.prod_inv pi
join swcat.SWPRODUCT sw on pi.PRODUCT_ID = sw.id
join swcat.component c on c.id = pi.COMPONENT_ID
join adm.agent a on a.id = pi.AGENT_ID%

 select distinct  name as PVU_PRODUCTS from swcat.SWPRODUCT join adm.PROD_INV on swcat.SWPRODUCT.id = adm.PROD_INV.PRODUCT_ID
and adm.PROD_INV.END_TIME='9999-12-31 00:00:00.0' and swcat.SWPRODUCT.IS_PVU=1%

select count (*) as HOW_MANY_IBM_PRODUCTS from (select distinct  name as PVU_PRODUCTS from swcat.SWPRODUCT
join adm.PROD_INV on swcat.SWPRODUCT.id = adm.PROD_INV.PRODUCT_ID
and adm.PROD_INV.END_TIME='9999-12-31 00:00:00.0' and swcat.SWPRODUCT.IS_PVU=1)%

select div.name as GROUP_NAME, ck.name, ckv.value as PARAMETER from lic.CONF_KEY_VALUE as ckv left join lic.CONF_KEY as ck on ckv.CONF_KEY_ID = ck.id 
join adm.division as div on div.id = ckv.GROUP_ID  order by GROUP_NAME, PARAMETER%

select a.id, a.HOSTNAME, a.IP_ADDRESS, a.CREATION_TIME,
(timestamp('1970-01-01','00.00.00') + int(ALIVE_TIME/86400000) days + int(mod(ALIVE_TIME/1000,86400)) seconds) as last_time
from adm.agent a
join adm.AGENT_ALIVE al on al.AGENT_ID = a.id
where HOSTNAME in (select HOSTNAME from adm.AGENT group by HOSTNAME having count(*) > 1) order by HOSTNAME%

select a.id, a.HOSTNAME, a.IP_ADDRESS, a.CREATION_TIME,
(timestamp('1970-01-01','00.00.00') + int(ALIVE_TIME/86400000) days + int(mod(ALIVE_TIME/1000,86400)) seconds) as last_time
from adm.agent a
join adm.AGENT_ALIVE al on al.AGENT_ID = a.id
where id in (select id from adm.AGENT group by id having count(*) > 1) order by id%

select * from virt.guest where replace(EXT_ID,'-','') in
(select replace(replace(substr(n.tag,15),'-',''),' ','') from adm.AGENT a
join adm.node n on n.id = a.NODE_ID
where n.tag like 'TLM_VM_VMware%')%

select count(*),m.START_TIME, m.END_TIME, m.TARGET_ID, m.METRIC_ID from adm.measure m where METRIC_ID = 12 
group by m.START_TIME, m.END_TIME, m.TARGET_ID, m.METRIC_ID having count(*) > 1%

with 
vuts (processor_type_id, value_units) as
(
select processor_type_id, value_units from adm.vut where end_date=date('9999-12-31')
),
msr (q, target) as                                                          
(                                                                            
select qualifier, target_id from adm.measure where metric_id=9 and           
end_time='9999-12-31 00:00:00.0'                                             
),                                                                           
f (t, q, raw, target) as                                                     
(                                                                            
select substr(q,1 , locate(chr(7), q)-1), substr(q,locate(chr(7), q)+1),     
q, target from msr                                                           
),                                                                           
s (f, t, q, raw, target) as                                                  
(                                                                            
select t, substr(q,1, locate(chr(7), q)-1), substr(q,locate(chr(7), q)+1), raw, target from f                                                    
),                                                                           
t (f, s, t, fo, raw, target) as                                                  
(                                                                            
select f, t, substr(q,1, locate(chr(7), q)-1), substr(q,locate(chr(7), q)+1), raw, target from s            
),
metrictopvutmp (metric, pvu, score, raw, target) as
(
select 
pt.vendor_disp_value || ' - ' || pt.brand_disp_value || ' - ' ||             
pt.type_disp_value  || ' (' ||  t.t  || ') - ' || pt.model_disp_value metric,
case when v.value_units is null then 100 else v.value_units end pvu, 
case when pt.vendor_int_value=t.f and pt.brand_int_value=t.s and pt.type_int_value = t and pt.model_int_value = fo then 4 else  
case when pt.vendor_int_value=t.f and pt.brand_int_value=t.s and pt.type_int_value = t and pt.model_int_value is null then 3 else  
case when pt.vendor_int_value=t.f and pt.brand_int_value=t.s and pt.type_int_value is null and pt.model_int_value is null then 2 else 
case when pt.vendor_int_value is null and pt.brand_int_value is null and pt.type_int_value is null and pt.model_int_value is null then 1 else 0 end end end end
score,
raw, target
from t                                                                       
left outer join                                                              
adm.processor_type pt                                                        
on pt.vendor_int_value=t.f and pt.brand_int_value=t.s
left outer join                                                              
vuts v                                                                    
on pt.id = v.processor_type_id   
),
metrictopvu (metric, pvu, raw, target, score) as     
(
select metric, pvu, raw, target, score from metrictopvutmp t
where not exists (select metric, pvu, raw, target from metrictopvutmp tt where
tt.target=t.target and tt.score > t.score)
)
select distinct
a.hostname,
case when m.metric is not null then m.metric else m.raw end processor ,
m.pvu value_units,
case when m.score = 1 then 'MISSING FROM PVU' else
case when m.score = 2 then 'DEFAULT MODEL AND TYPE' else
case when m.score = 3 then 'DEFAULT MODEL' else
case when m.score = 4 then 'PERFECT MATCH' else
case when m.score is null then 'NO MEASURE COLLECTED' end end end end end
from
adm.node n
inner join 
adm.agent a
on a.node_id = n.id
left outer join
metrictopvu m 
on n.id = m.target
order by 1%

select * from ADM.MIG_SCRIPT%

select * from ADM.MIG_INSTR%